Get WhatsApp Profile Display Name

This API retrieves the current display name for a WhatsApp application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Example

curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/profile/displayName' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Response Example

{
  "displayNameInfo": {
    "verifiedNameStatus": "",
    "requestedName":"",
    "requestedNameStatus":"",
    "verifiedName":""
  },
  "status": "success"
}

Status Codes

Status CodeResponseComments
200{ "displayNameInfo": { "verifiedNameStatus": "", "requestedName":"", "requestedNameStatus":"", "verifiedName":"" }, "status": "success" }

verifiedName - current name if verifiedNameStatus is APPROVED

requestedName - display name requested in update display name call

requestedNameStatus - requested display name status

400{ "status": "error", "message": "Invalid request parameters" }Missing or invalid parameters
401{ "status": "error", "message": "Unauthorized" }Invalid or missing authentication token
403{ "status": "error", "message": "Forbidden - no permissions to access resource" }User does not have admin privileges
500{ "status": "error", "code": "INTERNAL_SERVER_ERROR", "message": "An unexpected error occurred" }For any internal error


Request Parameters


KeyDescriptionValuesData TypeRequired/OptionalConstraints
Path Parameters
appIdThe unique identifier for the application57d9179b-7412-4621-bf86-57ee1962fd12StringRequiredMust be a valid app ID
Request Headers
AuthorizationPartner App token for authenticationsk_JhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9StringRequiredMust be a valid JWT token with PARTNER_APP role
Path Params
string
required

The unique identifier of the WhatsApp application

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json